quick:
	pdflatex main.tex

all: complete commit

complete:
	pdflatex main.tex && \
	makeglossaries main && \
	bibtex main && \
	pdflatex main.tex && \
	pdflatex main.tex

commit:
	git pull
	git add .
	git commit -m "Autopush by latex build script."
	git push

clean:
	rm -f main.aux main.bbl main.blg main.lof \
				main.log main.lol main.lot main.out \
				main.toc main.glg main.glo main.gls \
				main.ist main.glsdefs

